/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: RulePackageSystemNameEvent.as 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.rules.common.event
{
import com.adobe.cairngorm.control.CairngormEvent;

import flash.events.Event;


/**
 * An event type to carry rule packages unique identifiers
 * 
 * @author Julien Nicoulaud
 */
public class RulePackageSystemNameEvent extends CairngormEvent
{

    // =====================================================================
    // Variables
    // =====================================================================
    
    // Event types
    
    public static var GET_RULE_PACKAGE:String = "getRulePackage";
    public static var RELOAD_RULE_PACKAGE:String = "reloadRulePackage";
    public static var EDIT_RULE_PACKAGE:String = "editRulePackage";
    public static var EDITOR_RULE_PACKAGE_MODIFIED:String = "editorRulePackageModified";
    public static var MANAGER_RULE_PACKAGE_MODIFIED:String = "managerRulePackageModified";
    
    
    // Event variables
    
    public var rulePackageSystemName : String;
    
    
    // =====================================================================
    // Initialization
    // =====================================================================
    
    /**
    * Creates a new RulePackageSystemNameEvent
    */
    public function RulePackageSystemNameEvent(type:String,
                                               rulePackageSystemName:String)
    {
        // Call super class constructor
        super(type);
        
        // Assign variables
        this.rulePackageSystemName = rulePackageSystemName;
    }
    
    
    // =====================================================================
    // Utils
    // =====================================================================
    
    /**
    * Clone a RulePackageSystemNameEvent
    */
    override public function clone() : Event
    {
        return new RulePackageSystemNameEvent(this.type,
                                              this.rulePackageSystemName);
    }

}
}
