/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ILHSElementVO.as 4869 2009-08-11 11:14:12Z nicoulaj $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.rules.common.vo.rulepackage.visual
{

import mx.collections.ArrayCollection;

/**
* An element of the LHS part (when) of a rule
*
* @author Julien Nicoulaud
*/
[RemoteClass(alias="org.ow2.jasmine.rules.manager.model.visual.ILHSElement")]
[Bindable]
public interface ILHSElementVO extends IRuleElementVO
{
    
    /**
    * The imports
    */    
    [Transient]
    function set imports(value:ArrayCollection):void;
    function get imports():ArrayCollection;
    
    /**
    * The variables defined in the rule
    */
    [Transient]
    function set variables(value:ArrayCollection):void;
    function get variables():ArrayCollection;
}
}
